import React from 'react';
import { StatusBar } from 'expo-status-bar';
import { render } from 'react-dom';
import { StyleSheet, Text, View, ActivityIndicator } from 'react-native';

export default class App extends React.Component {
  
  contructor(props) {
    super(props);

    this.state = {
      isLoading: true,
      dataSource: null,
    }
  }
  
  componentDidMount() {

    return fetch('https://facebook.github.io/react-native/movies.json')
      .then ( (response) => response.json() )
      .then ( (responseJson) => {

        this.setState({
          isLoading: false,
          dataSource: responseJson.movies,
        })

      })

      .catch((error) => {
        console.log(error)

      });
  }

  render() {

    if (this.state.isLoading){

      return(
        <View style={style.container}>
          <ActivityIndicator />
        </View>
      )
    } 
    
    else {
      
      return (
        <View style={styles.container}>
          <Text>Open up App.js to start working on your app!</Text>
          <StatusBar style="auto" />
        </View>
      );
    }
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    alignItems: 'center',
    justifyContent: 'center',
  },
});
